5,598,938 Members 31,567 Now Online
XDA Developers Android and Mobile Development Forum

[Q] using RSD for moto defy

Tip us?
 
freza080
Old
#1  
Junior Member - OP
Thanks Meter 0
Posts: 4
Join Date: Apr 2012
Default [Q] using RSD for moto defy

Mobile:Moto Defy.
System Version:Moto_version.34.3601.7.MB525.retail.en.SEA 15
Firmware version:2.2.2
Baseband version:EPU93_U_00.59.02
Problem:I had unrooted my moto defy and I want to bring it back to warranty. I want step by step guide for
1)getting the RSD(link) and using it.
2)getting SFB file for my defy version(INDIA-Mumbai) and how to use it.
3)Drivers required.
4)Cautions to be taken.
5)Do I need to root to carryout this process?
I need really a full help as I am new to this . Please help me. Thanks In advance.
 
Rajneeshgadge17
Old
(Last edited by Rajneeshgadge17; 24th April 2012 at 11:17 PM.) Reason: added Answers
#2  
Rajneeshgadge17's Avatar
Senior Member
Thanks Meter 37
Posts: 126
Join Date: May 2011
Location: New Delhi
Quote:
Originally Posted by freza080 View Post
Mobile:Moto Defy.
System Version:Moto_version.34.3601.7.MB525.retail.en.SEA 15
Firmware version:2.2.2
Baseband version:EPU93_U_00.59.02
Problem:I had unrooted my moto defy and I want to bring it back to warranty. I want step by step guide for
1)getting the RSD(link) and using it.
2)getting SFB file for my defy version(INDIA-Mumbai) and how to use it.
3)Drivers required.
4)Cautions to be taken.
5)Do I need to root to carryout this process?
I need really a full help as I am new to this . Please help me. Thanks In advance.


2)getting SFB file for my defy version(INDIA-Mumbai) and how to use it : Only use 2.2.2 SBF. If you flash newer sbf you might not be able to downgrade thereafter.

5)Do I need to root to carryout this process? : This flashing process will bring the phone to factory defaults (Stock) so it will be automatically unrooted. However, you may root again later.


This article has answers to all of your queries:
http://forum.xda-developers.com/show....php?t=1216982
Google Nexus 4
Android 4.4.2 KitKat with Xposed Framework


Motorola Defy (SOC)
CyanogenMod 11 (KitKat) Android 4.4 by Quarx

SE C510 -- Resting in drawer
SE W700 -- Resting in drawer
The Following User Says Thank You to Rajneeshgadge17 For This Useful Post: [ Click to Expand ]
 
freza080
Old
#3  
Junior Member - OP
Thanks Meter 0
Posts: 4
Join Date: Apr 2012
Quote:
Originally Posted by Rajneeshgadge17 View Post
2)getting SFB file for my defy version(INDIA-Mumbai) and how to use it : Only use 2.2.2 SBF. If you flash newer sbf you might not be able to downgrade thereafter.

5)Do I need to root to carryout this process? : This flashing process will bring the phone to factory defaults (Stock) so it will be automatically unrooted. However, you may root again later.


This article has answers to all of your queries:
http://forum.xda-developers.com/show....php?t=1216982
thanks . read the article in the mentioned link and got many things cleared. But i couldn't get exact version of my moto defy SFB. please please send me a direct link of that file. A million thanks to your reply
 
Rajneeshgadge17
Old
(Last edited by Rajneeshgadge17; 25th April 2012 at 11:12 PM.) Reason: links added
#4  
Rajneeshgadge17's Avatar
Senior Member
Thanks Meter 37
Posts: 126
Join Date: May 2011
Location: New Delhi
Quote:
Originally Posted by freza080 View Post
thanks . read the article in the mentioned link and got many things cleared. But i couldn't get exact version of my moto defy SFB. please please send me a direct link of that file. A million thanks to your reply
Do you have the RSD Lite and the USB drivers installed. If not then refer to this article:
http://forum.xda-developers.com/show....php?t=1216982

For the SBF file use the following direct link to download the SBF:
http://sbf.droid-developers.org/umts...vice1FF.sbf.gz

[Note: The above SBF is not Chinese which causes the flash burn; it is Taiwanese and safe to flash.]

Download and extract the above file.
1. Launch RSD lite and select the above extracted SBF file;
2. Turn off the phone and remove and replace the battery;
3. Press Volume UP and Power button until you see Bootloader menu;
4. Once its shows the Bootloader menu connect the USB cable to the RSD lite and then start the flashing process;
5. Phone will update the software and once it shows Success you are good to go.

Hope it helps!

Good Luck!!
Google Nexus 4
Android 4.4.2 KitKat with Xposed Framework


Motorola Defy (SOC)
CyanogenMod 11 (KitKat) Android 4.4 by Quarx

SE C510 -- Resting in drawer
SE W700 -- Resting in drawer
The Following User Says Thank You to Rajneeshgadge17 For This Useful Post: [ Click to Expand ]
 
freza080
Old
#5  
Junior Member - OP
Thanks Meter 0
Posts: 4
Join Date: Apr 2012
Quote:
Originally Posted by Rajneeshgadge17 View Post
Do you have the RSD Lite and the USB drivers installed. If not then refer to this article:
http://forum.xda-developers.com/show....php?t=1216982

For the SBF file use the following direct link to download the SBF:
http://sbf.droid-developers.org/umts...vice1FF.sbf.gz

[Note: The above SBF is not Chinese which causes the flash burn; it is Taiwanese and safe to flash.]

Download and extract the above file.
1. Launch RSD lite and select the above extracted SBF file;
2. Turn off the phone and remove and replace the battery;
3. Press Volume UP and Power button until you see Bootloader menu;
4. Once its shows the Bootloader menu connect the USB cable to the RSD lite and then start the flashing process;
5. Phone will update the software and once it shows Success you are good to go.

Hope it helps!

Good Luck!!
first thanks for soo quick and nice reply!!!!!! .......... ......... I GOT ALL thing i had downloaded Sfb file from your link! ....... still as this is my first time n i am very worried so please tell me will this return my phone to warranty ? which version of RSD lite? thanks in advance. .......
 
Rajneeshgadge17
Old
#6  
Rajneeshgadge17's Avatar
Senior Member
Thanks Meter 37
Posts: 126
Join Date: May 2011
Location: New Delhi
Quote:
Originally Posted by freza080 View Post
first thanks for soo quick and nice reply!!!!!! .......... ......... I GOT ALL thing i had downloaded Sfb file from your link! ....... still as this is my first time n i am very worried so please tell me will this return my phone to warranty ? which version of RSD lite? thanks in advance. .......
RSD Lite: Use the one from the following link:
http://forum.xda-developers.com/show....php?t=1348587


Do not worry about the warranty this will make the phone Stock 2.2.2.

Good Luck!!
Google Nexus 4
Android 4.4.2 KitKat with Xposed Framework


Motorola Defy (SOC)
CyanogenMod 11 (KitKat) Android 4.4 by Quarx

SE C510 -- Resting in drawer
SE W700 -- Resting in drawer
The Following User Says Thank You to Rajneeshgadge17 For This Useful Post: [ Click to Expand ]
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes